com.trendmicro.ds.platform.rest.object.scheduledtask

## Class Recipients

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.Recipients

-     public class Recipients
      extends java.lang.Object

  Recipients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Recipients()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Recipients` | `addAdministratorID(java.lang.Integer administratorID)` Add an administrator identifier.
    `Recipients` | `addContactID(java.lang.Integer contactID)` Add a contact identifier.
    `java.util.List<java.lang.Integer>` | `getAdministratorIDs()` Get the list of administrator identifiers.
    `java.util.List<java.lang.Integer>` | `getContactIDs()` Get the list of contact identifiers.
    `java.lang.Boolean` | `isAllAdministrators()` Get the all administrators flag.
    `void` | `setAdministratorIDs(java.util.List<java.lang.Integer> administratorIDs)` Set the list of administrator identifiers.
    `void` | `setAllAdministrators(java.lang.Boolean allAdministrators)` Set the all administrators flag.
    `void` | `setContactIDs(java.util.List<java.lang.Integer> contactIDs)` Set the list of contact identifiers.
    `java.lang.String` | `toString()`
    `Recipients` | `withAdministratorIDs(java.lang.Integer... administratorIDs)` Set the list of administrator identifiers.
    `Recipients` | `withAdministratorIDs(java.util.List<java.lang.Integer> administratorIDs)` Set the list of administrator identifiers.
    `Recipients` | `withAllAdministrators(java.lang.Boolean allAdministrators)` Set the all administrators flag.
    `Recipients` | `withContactIDs(java.lang.Integer... contactIDs)` Set the list of contact identifiers.
    `Recipients` | `withContactIDs(java.util.List<java.lang.Integer> contactIDs)` Set the list of contact identifiers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Recipients

          public Recipients()

  - ### Method Detail

    - #### isAllAdministrators

          public java.lang.Boolean isAllAdministrators()

      Get the all administrators flag.

      When set to `true` this flag overrides any specific administrators or contacts associated with the scheduled task. When set to `false` then at least one administrator or contact must be specified.

      Returns:
        the all administrators flag.

    - #### setAllAdministrators

          public void setAllAdministrators(java.lang.Boolean allAdministrators)

      Set the all administrators flag.

      When set to `true` this flag overrides any specific administrators or contacts associated with the scheduled task. When set to `false` then at least one administrator or contact must be specified.

      Parameters:
        `allAdministrators` - the all administrators flag.

    - #### withAllAdministrators

          public Recipients withAllAdministrators(java.lang.Boolean allAdministrators)

      Set the all administrators flag.

      When set to `true` this flag overrides any specific administrators or contacts associated with the scheduled task. When set to `false` then at least one administrator or contact must be specified.

      Parameters:
        `allAdministrators` - the all administrators flag.
      Returns:
        the updated Recipients object.

    - #### getAdministratorIDs

          public java.util.List<java.lang.Integer> getAdministratorIDs()

      Get the list of administrator identifiers.

      You can also use `ScheduledTaskAPI.modifyAdministratorsList`, `ScheduledTaskAPI.addAdministrators`, and `ScheduledTaskAPI.deleteAdministrator` to define the administrators associated with a scheduled task.

      The list of administrators is ignored if the `AllAdministrators` value is set to `true`.

      Returns:
        the list of administrator identifiers.

    - #### setAdministratorIDs

          public void setAdministratorIDs(java.util.List<java.lang.Integer> administratorIDs)

      Set the list of administrator identifiers.

      You can also use `ScheduledTaskAPI.modifyAdministratorsList`, `ScheduledTaskAPI.addAdministrators`, and `ScheduledTaskAPI.deleteAdministrator` to define the administrators associated with a scheduled task.

      The list of administrators is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `administratorIDs` - the list of administrator identifiers.

    - #### withAdministratorIDs

          public Recipients withAdministratorIDs(java.util.List<java.lang.Integer> administratorIDs)

      Set the list of administrator identifiers.

      You can also use `ScheduledTaskAPI.modifyAdministratorsList`, `ScheduledTaskAPI.addAdministrators`, and `ScheduledTaskAPI.deleteAdministrator` to define the administrators associated with a scheduled task.

      The list of administrators is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `administratorIDs` - list of administrator identifiers.
      Returns:
        the updated Recipients object.

    - #### withAdministratorIDs

          public Recipients withAdministratorIDs(java.lang.Integer... administratorIDs)

      Set the list of administrator identifiers.

      You can also use `ScheduledTaskAPI.modifyAdministratorsList`, `ScheduledTaskAPI.addAdministrators`, and `ScheduledTaskAPI.deleteAdministrator` to define the administrators associated with a scheduled task.

      The list of administrators is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `administratorIDs` - list of administrator identifiers.
      Returns:
        the updated Recipients object.

    - #### addAdministratorID

          public Recipients addAdministratorID(java.lang.Integer administratorID)

      Add an administrator identifier.

      You can also use `ScheduledTaskAPI.modifyAdministratorsList`, `ScheduledTaskAPI.addAdministrators`, and `ScheduledTaskAPI.deleteAdministrator` to define the administrators associated with a scheduled task.

      The list of administrators is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `administratorID` - the administrator identifier.
      Returns:
        the updated Recipients object.

    - #### getContactIDs

          public java.util.List<java.lang.Integer> getContactIDs()

      Get the list of contact identifiers.

      You can also use `ScheduledTaskAPI.modifyContactsList`, `ScheduledTaskAPI.addContacts`, and `ScheduledTaskAPI.deleteContact` to define the contacts associated with a scheduled task.

      The list of contacts is ignored if the `AllAdministrators` value is set to `true`.

      Returns:
        the list of contact identifiers.

    - #### setContactIDs

          public void setContactIDs(java.util.List<java.lang.Integer> contactIDs)

      Set the list of contact identifiers.

      You can also use `ScheduledTaskAPI.modifyContactsList`, `ScheduledTaskAPI.addContacts`, and `ScheduledTaskAPI.deleteContact` to define the contacts associated with a scheduled task.

      The list of contacts is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `contactIDs` - the list of contact identifiers.

    - #### withContactIDs

          public Recipients withContactIDs(java.util.List<java.lang.Integer> contactIDs)

      Set the list of contact identifiers.

      You can also use `ScheduledTaskAPI.modifyContactsList`, `ScheduledTaskAPI.addContactss`, and `ScheduledTaskAPI.deleteContact` to define the contacts associated with a scheduled task.

      The list of contacts is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `contactIDs` - list of contact identifiers.
      Returns:
        the updated Recipients object.

    - #### withContactIDs

          public Recipients withContactIDs(java.lang.Integer... contactIDs)

      Set the list of contact identifiers.

      You can also use `ScheduledTaskAPI.modifyContactsList`, `ScheduledTaskAPI.addContacts`, and `ScheduledTaskAPI.deleteContact` to define the contacts associated with a scheduled task.

      The list of contacts is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `contactIDs` - list of contact identifiers.
      Returns:
        the updated Recipients object.

    - #### addContactID

          public Recipients addContactID(java.lang.Integer contactID)

      Add a contact identifier.

      You can also use `ScheduledTaskAPI.modifyContactsList`, `ScheduledTaskAPI.addContacts`, and `ScheduledTaskAPI.deleteContact` to define the contacts associated with a scheduled task.

      The list of contacts is ignored if the `AllAdministrators` value is set to `true`.

      Parameters:
        `contactID` - the contact identifier.
      Returns:
        the updated Recipients object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.